View Issue Details

IDProjectCategoryView StatusLast Update
14398Bug reports[All Projects] Theme editorpublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14398: Unable to set a different standardthemerootdir than default one
Description

In config , we have standardthemerootdir : in 2.6 and 1st 3.0 alpha : this really allow to have an user directory, this broke now.

Steps To Reproduce

put standardthemerootdir=>/mydir/

and put vanilla + one template exented vanilla inside : only vanilla is shown

Additional Information

The fix is here : https://github.com/LimeSurvey/LimeSurvey/commit/5b8edc593df664b2521a9fe01a4a17c7ee19c370 but commented and reverted …

If the fix is here : there are a reason …

A solution :

  1. Leave standardthemerootdir
  2. Add a list of standardtheme in config-default
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

Related Changesets

LimeSurvey: master 1b74ddf8

2019-01-09 12:20:35

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14398: Unable to set a different standardthemerootdir than default one (#1201)

Dev: get core template list from standardthemerootdir
Dev: Set DB settings by config.php settings in default TemplateManifest
Dev: Fixed issue : allow to update final default theme
Dev: Test if template is really standard before set as standard
Affected Issues
14398
mod - application/config/config-defaults.php Diff File
mod - application/models/SettingGlobal.php Diff File
mod - application/models/Template.php Diff File
mod - application/models/TemplateManifest.php Diff File

Issue History

Date Modified Username Field Change
2019-01-04 17:56 DenisChenu New Issue
2019-01-04 17:56 DenisChenu Status new => assigned
2019-01-04 17:56 DenisChenu Assigned To => LouisGac
2019-01-07 13:18 DenisChenu Note Added: 50122
2019-01-09 15:12 DenisChenu Assigned To LouisGac => DenisChenu
2019-01-09 15:12 DenisChenu Status assigned => resolved
2019-01-09 15:12 DenisChenu Resolution open => fixed
2019-01-09 15:12 DenisChenu Fixed in Version => 3.15.x
2019-01-15 09:27 DenisChenu Changeset attached => LimeSurvey master 1b74ddf8
2019-01-15 09:27 DenisChenu Note Added: 50200
2019-04-30 09:11 c_schmitz Status resolved => closed